Subject: Re: linux-next: manual merge of the slab tree with the mm-unstable tree

From: Vlastimil Babka <[email-masked]>
Date: Fri, 14 Nov 2025 09:46:30 +0100

On 11/14/25 06:06, Christoph Hellwig wrote:
> On Fri, Nov 14, 2025 at 03:13:21PM +1100, Stephen Rothwell wrote:
>> Hi all,
>> 
>> Today's linux-next merge of the slab tree got a conflict in:
>> 
>>   mm/mempool.c
>> 
>> between commit:
>> 
>>   25c4d8d29dbb ("mempool: clarify behavior of mempool_alloc_preallocated()")
>> 
>> from the mm-unstable tree and commit:
>> 
>>   5c829783e5f8 ("mempool: improve kerneldoc comments")
> 
> Hmm, I guess we need to agree on which tree takes mempool patches, then
> we can just rebase one side.

I can take that patch as mm-unstable (not -stable) means it's still
droppable there at this point.

> I also find 25c4d8d29dbb odd.  Yes, with PREEMPT_RT anything taking
> spinlocks could sleep in the normal sense, but pretty much everything
> in Linux assumes spinlocks as spinning.  So if we want to update that
> we should agree on global conventions for it and not starting to update
> random little functions individually.

That's also true. Thomas, is this case special or what motivated the patch
in the first place?